﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class UserControls_AddEditUser : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.Page.ClientIDMode = System.Web.UI.ClientIDMode.AutoID;
        if (Page.IsPostBack == false)
        {
            this.PeopleList = new List<Person>();
            CurrentPeopleRadGrid_Refresh();
        }
    }

    #region "Private Properties"
    private List<Person> PeopleList
    {
        get
        {
            if (ViewState["PeopleList"] != null)
            { return (List<Person>)ViewState["PeopleList"]; }
            else
            { return null; }
        }
        set { ViewState["PeopleList"] = value; }
    }
    #endregion

    #region "Private Methods"
    private void CurrentPeopleRadGrid_Refresh()
    {
        CurrentPeopleRadGrid.DataSource = this.PeopleList;
        CurrentPeopleRadGrid.DataBind();
    }
    #endregion

    protected void AddPersonLinkButton_Click(object sender, EventArgs e)
    {
        AddPersonDiv.Visible = true;
    }
    protected void AddPersonButton_Click(object sender, EventArgs e)
    {
        this.PeopleList.Add(new Person(FirstNameTextBox.Text.Trim(), LastNameTextBox.Text.Trim(), Convert.ToInt32(AgeTextBox.Text.Trim())));
        CurrentPeopleRadGrid_Refresh();
    }
}